using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class WaveTimerManagement : MonoBehaviour {

    public Text timerLabel;
    public Text readyText;
    public int secForWave;
    private float timeLeft;

    void Start()
    {
        readyText.text = "";
    }

    void Update()
    {
        timeLeft = SpawnManager.timeTillWave;
        timerLabel.text = "" + (int)timeLeft;
        if(secForWave <= timeLeft)
        {
            readyText.text = "GET READY FOR WAVE: " + (SpawnManager.numWaves + 1)  + "!";
        } else
       {
            readyText.text = "";
        }

    }
}
